JClic Author(1)

NAME
jclicauthor - Editor of multimedia educational activities

SYNOPSIS
jclicauthor [OPTION]... [FILE]

DESCRIPTION
This manual page describes briefly the jclicauthor command. This manual page was written for the Debian GNU/Linux distribution. It contains only the description of the basic options.
For full manuals and documentation please visit:
http://projectestac.github.io/jclic and http://clic.xtec.cat

JClic is formed by a set of computer applications that are used for carrying out different types of educational activities: puzzles, associations, text exercises, crosswords... These activities are packed in projects. A project is formed by a set of activities and one or more sequences, which indicate the order in which they have to be shown. If you want to check about how JClic projects are, you should take a look at:
http://clic.xtec.cat/db/listact_en.jsp

JClic Author is an authoring tool used to create and edit JClic project files, that should have extension *.jclic.zip. It is used also to export JClic activities to HTML5, ready to be published on the Internet and used with any modern browser without the need of Java. JClic Author can also create JClic project installers (files with extension *.jclic.inst) and generate HTML pages containing JClic Java applets.

OPTIONS

-trace=true
    Show in a terminal some debug information for the application.

-language=code
    ISO 639 code of the language used by JClic in system messages and menus, e. g.: "pt" to indicate Portuguese.

-country=code
    Optional ISO 3166-1 code specifying a local variant of the language, e.g.: "BR" to indicate Brazilian Portuguese.

-variant=name
    An optional variable that can be used in conjunction with the preceding two, e.g.: "-language=ca -country=ES -variant=valencia" for the Valencian variant of Catalan.

-systemSounds=true|false
    This option indicates if JClic must play or not system sounds.

-compressImages=true|false
    This option decides if JClic will compress images in order to make it to fit into the cells. Default is true.

-lookAndFeel=value
    Java Look&Feel to be used by JClic. Possible values are default system metal motif and windows. Default is "system".

-audioEnabled=true|false
    This option allows to enable or disable the sounds in JClic.

-mediaSystem=JMF|QT
    Preferred multimedia system: "JMF" for Java Media Framework or "QT" for QuickTime.

-processZip file outFolder
    Exports a single JClic project (file with extension ".jclic.zip") into the specified output folder. Files on outFolder may be overwritten.

-processZipFolder inFolder outFolder
    Exports all JClic project files (files with extension ".jclic.zip") located on inFolder (and its subdirectories) to outFolder. Files on outFolder may be overwritten.

AUTHORS
JClic was written by Francesc Busquets <fbusquets@xtec.cat> for the Department of Education of the Government of Catalonia.

This manual page was initially written by José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>, for the Debian project, and continued by Francesc Busquets <fbusquets@xtec.cat> (but may be used by others).

SEE ALSO
jclic(1), jclicreports(1), jclic-libmanager(1)